| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1304A_A.ino File Reference
RF, Silicon Oscillators, PLL Synthesizers, and VCOs » LTC6602: Dual Matched, High Frequency Bandpass/Lowpass Filters

Linear Technology DC1304A-A Demonstration Board. More...

## Detailed Description

Linear Technology DC1304A-A Demonstration Board.

LTC6602: Dual Matched, High Frequency Bandpass/Lowpass Filters

    NOTES
      Setup:
        Set the terminal baud rate to 115200 and select the newline terminator.
        Equipment required is a precision voltage source and a precision
        voltmeter. No external power supply is required. Ensure all jumpers on
        the demo board are installed in their default positions from the
        factory.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC6602

http://www.linear.com/product/LTC6602#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1304A_A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_user_command (uint8_t menu)
static void | menu_1_filter_settings ()
| Set filter settings. More...
static void | menu_2_set_gpo ()
static void | menu_3_shutdown ()
static void | menu_4_poweron ()
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | spi_out
static uint8_t | control_byte
static uint8_t | filter_gain_settings = LTC6602_GAIN_0dB
static uint8_t | filter_lp_settings = LTC6602_LPF0
static uint8_t | filter_hp_settings = LTC6602_HPF0
static uint8_t | gpio_settings = LTC6602_GPO_LOW
static uint8_t | shdn_settings = LTC6602_SHDN

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 108 of file DC1304A_A.ino.

## ◆ menu_1_filter_settings()

static void menu_1_filter_settings | ( |  | ) |
| static

Set filter settings.

Returns
  void

Definition at line 143 of file DC1304A_A.ino.

## ◆ menu_2_set_gpo()

static void menu_2_set_gpo | ( |  | ) |
| static

Definition at line 239 of file DC1304A_A.ino.

## ◆ menu_3_shutdown()

static void menu_3_shutdown | ( |  | ) |
| static

Definition at line 276 of file DC1304A_A.ino.

## ◆ menu_4_poweron()

static void menu_4_poweron | ( |  | ) |
| static

Definition at line 286 of file DC1304A_A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 310 of file DC1304A_A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 297 of file DC1304A_A.ino.

## ◆ print_user_command()

static void print_user_command | ( | uint8_t | menu | ) |
| static

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 97 of file DC1304A_A.ino.

## Variable Documentation

## ◆ control_byte

uint8_t control_byte
| static

Definition at line 89 of file DC1304A_A.ino.

## ◆ filter_gain_settings

uint8_t filter_gain_settings = LTC6602_GAIN_0dB
| static

Definition at line 90 of file DC1304A_A.ino.

## ◆ filter_hp_settings

uint8_t filter_hp_settings = LTC6602_HPF0
| static

Definition at line 92 of file DC1304A_A.ino.

## ◆ filter_lp_settings

uint8_t filter_lp_settings = LTC6602_LPF0
| static

Definition at line 91 of file DC1304A_A.ino.

## ◆ gpio_settings

uint8_t gpio_settings = LTC6602_GPO_LOW
| static

Definition at line 93 of file DC1304A_A.ino.

## ◆ shdn_settings

uint8_t shdn_settings = LTC6602_SHDN
| static

Definition at line 94 of file DC1304A_A.ino.

## ◆ spi_out

uint8_t spi_out
| static

Definition at line 88 of file DC1304A_A.ino.